function Create(self)

self.ESpawnTimer = Timer();

self.WList = { "Grenade Launcher", "Blaster", "Nailgun", "Pistol", "Sniper Rifle", "Heavy Sniper Rifle", "Gatling Gun", "Flamer", "Napalm Flamer", "Spike Launcher", "Flak Cannon", "Auto Pistol", "Shotgun", "Auto Shotgun", "Mauler Shotgun", "Bazooka", "YAK47", "YAK4700", "TommyGun", "Uzi", "M16", "Shortgun", "Spaz12", "Spaz1200", "Rifle Long", "Desert Eagle", "Glock", "HAK 20", "Luger", "Peacemaker", "Lady Pistol" };
self.AList = { "Mia", "Dafred", "Dimitri", "Gordon", "Brutus", "Sandra", "Soldier Light", "Soldier Heavy", "Browncoat Light", "Browncoat Heavy" };

	if SkirmishDefense.Difficulty <= GameActivity.CAKEDIFFICULTY then
		self.BaseSpawnTime = 6000;
		self.RandomSpawnTime = 8000;
	elseif SkirmishDefense.Difficulty <= GameActivity.EASYDIFFICULTY then
		self.BaseSpawnTime = 5500;
		self.RandomSpawnTime = 7000;
	elseif SkirmishDefense.Difficulty <= GameActivity.MEDIUMDIFFICULTY then
		self.BaseSpawnTime = 5000;
		self.RandomSpawnTime = 6000;
	elseif SkirmishDefense.Difficulty <= GameActivity.HARDDIFFICULTY then
		self.BaseSpawnTime = 4500;
		self.RandomSpawnTime = 5000;
	elseif SkirmishDefense.Difficulty <= GameActivity.NUTSDIFFICULTY then
		self.BaseSpawnTime = 4000;
		self.RandomSpawnTime = 4500;
	elseif SkirmishDefense.Difficulty <= GameActivity.MAXDIFFICULTY then
		self.BaseSpawnTime = 3500;
		self.RandomSpawnTime = 4000;
	end

	self.TimeLeft = self.BaseSpawnTime + math.random(self.RandomSpawnTime);


end

function Update(self)

if SkirmishDefense.ActivityState ~= Activity.OVER and SkirmishDefense.ActivityState ~= Activity.EDITING then

	if self.ESpawnTimer:LeftTillSimMS(self.TimeLeft) <= 0 and MovableMan:GetMOIDCount() <= 210 then

    local Crabpos = Vector(math.random(0,SceneMan.SceneWidth), 0)
    if SceneMan:CastStrengthSumRay(Crabpos, Crabpos + Vector(0,100),0,0) == 0 then

local actor = {};
for x = 0, math.ceil(math.random(3)) do
	local y = math.random();
	if y > 0.05 then
		actor[x] = CreateAHuman(self.AList[math.random(#self.AList)]);
		actor[x].Team = 1;
		actor[x].AIMode = Actor.AIMODE_BRAINHUNT;
		actor[x]:AddInventoryItem(CreateHDFirearm(self.WList[math.random(#self.WList)]));
		actor[x]:AddInventoryItem(CreateHDFirearm("Medium Digger"));
	else
		actor[x] = CreateACrab("Dreadnought");
		actor[x].AIMode = Actor.AIMODE_BRAINHUNT;
		actor[x].Team = 1;
	end
end

local ship = nil;
local z = math.random();
if z > 0.90 then
	ship = CreateACRocket("Drop Crate","Dummy.rte");
elseif z > 0.80 then
	ship = CreateACRocket("Rocklet","Dummy.rte");
elseif z > 0.60 then
	ship = CreateACDropShip("Drop Ship","Dummy.rte");
elseif z > 0.40 then
	ship = CreateACDropShip("Drop Ship MK1","Coalition.rte");
elseif z > 0.20 then
	ship = CreateACRocket("Rocket MK2","Coalition.rte");
else
	ship = CreateACRocket("Rocket MK1","Coalition.rte");
end
for n = 0, #actor do
	ship:AddInventoryItem(actor[n]);
end

ship.Pos = Crabpos
ship.Team = 1;
MovableMan:AddActor(ship)

self.ESpawnTimer:Reset();
	self.TimeLeft = self.BaseSpawnTime + math.random(self.RandomSpawnTime);

end

    end

if self.ESpawnTimer:LeftTillSimMS(self.TimeLeft) <= 0 and MovableMan:GetMOIDCount() > 210 then

self.ESpawnTimer:Reset();
self.TimeLeft = self.BaseSpawnTime + math.random(self.RandomSpawnTime);

end
	end
end